
(in-package #-:sbcl "USER" #+:sbcl "COMMON-LISP-USER")

#-:KCL
(defpackage WISH
  (:use #-:sbcl LISP #+:sbcl "COMMON-LISP" #+:ALLEGRO EXCL #+:LUCID LCL)
  #-(or :cmu :sbcl :clisp) (:shadowing-import-from  USER  TEST-WISH)
  (:export "*WISH*"
	   "*WISH-PROG*"
	   "*WISH-ARGS*"
	   "*WISH-EXIT-MSG*"
	   "*WISH-LISTENER*"
	   "SEND-TO-WISH"
	   "WITH-WISH"
	   "WITH-OUTPUT-TO-WISH"
	   "LISTEN-TO-WISH"
	   "DEFAULT-WISH-LISTENER"))

#+:KCL
(eval-when (load eval compile)
  (unless (find-package "WISH")
    'TEST-WISH
    (make-package "WISH")
    (in-package "WISH")
    (shadowing-import '(USER::TEST-WISH))
    (export (mapcar #'intern '("*WISH*"
			       "*WISH-PROG*"
			       "*WISH-ARGS*"
			       "*WISH-EXIT-MSG*"
			       "*WISH-LISTENER*"
			       "SEND-TO-WISH"
			       "WITH-WISH"
			       "WITH-OUTPUT-TO-WISH"
			       "LISTEN-TO-WISH"
			       "DEFAULT-WISH-LISTENER")))))
